Debian Bug report logs - #529475
user-setup fails because -m option is no longer valid

version graph

Package: user-setup; Maintainer for user-setup is Debian Install System Team <debian-boot@lists.debian.org>; Source for user-setup is src:user-setup.

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Tue, 19 May 2009 14:39:02 UTC

Severity: serious

Tags: patch, sid, squeeze

Found in version user-setup/1.23

Fixed in version user-setup/1.24

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#529475; Package user-setup. (Tue, 19 May 2009 14:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 19 May 2009 14:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: user-setup fails because -m option is no longer valid
Date: Tue, 19 May 2009 16:37:24 +0200
Package: user-setup
Version: 1.23
Severity: serious

Apparently chpasswd no longer accepts the -m option!

May 19 14:28:25 finish-install: info: Running /usr/lib/finish-install.d/06user-setup
May 19 14:28:26 user-setup: Shadow passwords are now on.
May 19 14:28:26 finish-install: chpasswd: invalid option -- 'm'
May 19 14:28:26 finish-install: Usage: chpasswd [options]

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#529475; Package user-setup. (Tue, 19 May 2009 15:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 19 May 2009 15:30:05 GMT) Full text and rfc822 format available.

Message #10 received at 529475@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>, 529475@bugs.debian.org
Cc: 528610@bugs.debian.org
Subject: Re: Bug#529475: user-setup fails because -m option is no longer valid
Date: Tue, 19 May 2009 17:27:15 +0200
[Message part 1 (text/plain, inline)]
Quoting Martin Michlmayr (tbm@cyrius.com):
> Package: user-setup
> Version: 1.23
> Severity: serious
> 
> Apparently chpasswd no longer accepts the -m option!
> 
> May 19 14:28:25 finish-install: info: Running /usr/lib/finish-install.d/06user-setup
> May 19 14:28:26 user-setup: Shadow passwords are now on.
> May 19 14:28:26 finish-install: chpasswd: invalid option -- 'm'
> May 19 14:28:26 finish-install: Usage: chpasswd [options]


As told on IRC, this comes from changes in shadow. chpasswd had PAM
support enabled and the "-c", "-m" and "-e" options are gone in such
case:

#ifndef USE_PAM
                case 'c':
                        cflg = true;
                        crypt_method = optarg;
                        break;
                case 'e':
                        eflg = true;
                        break;
                case 'm':
                        md5flg = true;
                        break;



Both this bug and #528610 should probably be reassigned to passwd,
severity critical (breaks other software).

#528610 apparently has a workaround (using usermod) but there is
apparently none for this bug





[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#529475; Package user-setup. (Wed, 20 May 2009 06:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 20 May 2009 06:42:02 GMT) Full text and rfc822 format available.

Message #15 received at 529475@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 529475@bugs.debian.org
Subject: Re: Bug#529475: user-setup fails because -m option is no longer valid
Date: Wed, 20 May 2009 08:38:54 +0200
[Message part 1 (text/plain, inline)]
tags 529475 patch
thanks

Quoting Christian Perrier (bubulle@debian.org):

> Both this bug and #528610 should probably be reassigned to passwd,
> severity critical (breaks other software).
> 
> #528610 apparently has a workaround (using usermod) but there is
> apparently none for this bug

There's one..:-)

Index: user-setup-apply
===================================================================
--- user-setup-apply    (révision 58623)
+++ user-setup-apply    (copie de travail)
@@ -30,8 +30,6 @@
        PASSWD="$2"
        if [ "$3" = true ]; then
                OPTS=-e
-       else
-               OPTS=-m
        fi
        $chroot $ROOT chpasswd $OPTS <<EOF
 $USER:$PASSWD


As libpam-runtime is configured by the moment user-setup-apply runs,
chpasswd will just use PAM settings and the password will use MD5
anyway...so "-m" is just useless..:-)


[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Wed, 20 May 2009 06:42:03 GMT) Full text and rfc822 format available.

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Wed, 20 May 2009 11:54:04 GMT) Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. (Wed, 20 May 2009 11:54:05 GMT) Full text and rfc822 format available.

Message #22 received at 529475-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 529475-close@bugs.debian.org
Subject: Bug#529475: fixed in user-setup 1.24
Date: Wed, 20 May 2009 11:32:04 +0000
Source: user-setup
Source-Version: 1.24

We believe that the bug you reported is fixed in the latest version of
user-setup, which is due to be installed in the Debian FTP archive:

user-setup-udeb_1.24_all.udeb
  to pool/main/u/user-setup/user-setup-udeb_1.24_all.udeb
user-setup_1.24.dsc
  to pool/main/u/user-setup/user-setup_1.24.dsc
user-setup_1.24.tar.gz
  to pool/main/u/user-setup/user-setup_1.24.tar.gz
user-setup_1.24_all.deb
  to pool/main/u/user-setup/user-setup_1.24_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 529475@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated user-setup package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 20 May 2009 09:40:54 +0200
Source: user-setup
Binary: user-setup-udeb user-setup
Architecture: source all
Version: 1.24
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 user-setup - Set up initial user and password
 user-setup-udeb - Set up users and passwords (udeb)
Closes: 528610 529475
Changes: 
 user-setup (1.24) unstable; urgency=low
 .
   [ Colin Watson ]
   * Be more careful about test arguments in the root_password function, in
     case (for example) the encrypted password string is "!" (thanks, Uli
     Heller; LP: #307443).
 .
   [ Joey Hess ]
   * Add initial user to scanner group, (created by libsane).
 .
   [ Frans Pop ]
   * Remove myself as uploader.
 .
   [ Luk Claes ]
   * Add myself as uploader.
   * Disable root account and activate sudo when there is no root passwd given.
 .
   [ Christian Perrier ]
   * No longer use the "-m" switch of chpasswd. It uses PAM now and no
     longer has this switch. The password will use settings from
     libpam-runtime, so MD5 by default.
     Closes: #529475
   * Replace chpasswd by usermod to set pre-encrypted passwords.
     Thanks to Jordi Pujol for the patch.
     Closes: #528610
   * Use 6 as debhelper compatibility level
   * Bump Standards to 3.8.1 (checked, no change)
   * Add lintian overrides
 .
   [ Updated translations ]
   * Asturian (ast.po) by Marcos Alvarez Costales
   * Bengali (bn.po) by Md. Rezwan Shahid
   * German (de.po) by Jens Seidel
   * Esperanto (eo.po) by Felipe Castro
   * Spanish (es.po) by Javier Fernández-Sanguino Peña
   * Estonian (et.po) by Mattias Põldaru
   * Basque (eu.po) by Piarres Beobide
   * French (fr.po) by Christian Perrier
   * Galician (gl.po) by marce villarino
   * Hindi (hi.po) by Kumar Appaiah
   * Italian (it.po) by Milo Casagrande
   * Kazakh (kk.po) by daur88
   * Malayalam (ml.po) by Praveen Arimbrathodiyil
   * Marathi (mr.po) by Sampada
   * Norwegian Bokmal (nb.po) by Hans Fredrik Nordhaug
   * Portuguese (pt.po) by Miguel Figueiredo
   * Russian (ru.po) by Yuri Kozlov
   * Slovak (sk.po) by Ivan Masár
   * Swedish (sv.po) by Daniel Nylander
   * Tagalog (tl.po) by Eric Pareja
Checksums-Sha1: 
 0af565e5fe3354f87d9b2d19cd092a0055620d30 969 user-setup_1.24.dsc
 b114badfff8f9245d67212f3a48c127198baab6c 136867 user-setup_1.24.tar.gz
 16e22cb09be25c78ed8d1b9f7b60a475e06c863e 111164 user-setup-udeb_1.24_all.udeb
 d6f4ed098736222484fba3013e22e42735b43d95 119298 user-setup_1.24_all.deb
Checksums-Sha256: 
 a8fc6bda68d31a4068dbcab085f0ae0a3511f68efe77d5b7cf1f55b8bd67919a 969 user-setup_1.24.dsc
 4f6276d95af794b5ce1625b800a9d7a1b70abdb529f2abf1950067f34c78d97e 136867 user-setup_1.24.tar.gz
 62a3ca8d6850fd25f19547661df21ec87044430e00a8d0d160b905946dc67324 111164 user-setup-udeb_1.24_all.udeb
 3a670dc9dec066f48584daa9a042fa3737a6107ec91700f8c318851a75718e9f 119298 user-setup_1.24_all.deb
Files: 
 bf3f29d24370848b410c96a835d1a103 969 debian-installer extra user-setup_1.24.dsc
 cb7207c6899e777fba1f75d6ccb679d4 136867 debian-installer extra user-setup_1.24.tar.gz
 109b47f6ccec87d85e3b5058b6c60d3f 111164 debian-installer standard user-setup-udeb_1.24_all.udeb
 9495975cb3bb11bdea72df7516a4f414 119298 admin extra user-setup_1.24_all.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkoT57gACgkQ1OXtrMAUPS1kpgCeJjuq/yJEJx+egYpCH5pLhh+C
mDoAoK8Ldq7o1UMomvsExt6pDBlH1/Nr
=Yuva
-----END PGP SIGNATURE-----





Added tag(s) sid and squeeze. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Tue, 27 Jul 2010 09:39:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Feb 2011 08:26:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:38:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.